kdisteuclid {ade4} | R Documentation

## a way to obtain Euclidean distance matrices

### Description

a way to obtain Euclidean distance matrices

### Usage

    kdisteuclid(obj, method = c("lingoes", "cailliez", "quasi"))

### Arguments

`obj` | an object of class `kdist`
`method` | a method to convert a distance matrix in a Euclidean one

### Value

returns an object of class `kdist` with all distances Euclidean.

### Note

according to the program DistPCoa of P. Legendre and M.J. Anderson
http://www.fas.umontreal.ca/BIOL/Casgrain/en/labo/distpcoa.html

### Author(s)

Daniel Chessel
Stéphane Dray stephane.dray@univ-lyon1.fr

### References

Gower, J.C. and Legendre, P. (1986) Metric and Euclidean properties of dissimilarity coefficients. Journal of Classification, 3, 5–48.

Cailliez, F. (1983) The analytical solution of the additive constant problem. Psychometrika, 48, 305–310.

Lingoes, J.C. (1971) Somme boundary conditions for a monotone analysis of symmetric matrices. Psychometrika, 36, 195–203.

Legendre, P. and Anderson, M.J. (1999) Distance-based redundancy analysis: testing multispecies responses in multifactorial ecological experiments. Ecological Monographs, 69, 1–24.

Legendre, P., and L. Legendre. (1998) Numerical ecology, 2nd English edition edition. Elsevier Science BV, Amsterdam.

### Examples

    w <- c(0.8, 0.8, 0.377350269, 0.8, 0.377350269, 0.377350269) # see ref.
    w <- kdist(w)
    w1 <- c(kdisteuclid(kdist(w), "lingoes"), kdisteuclid(kdist(w), "cailliez"),
      kdisteuclid(kdist(w), "quasi"))
    print(w, print = TRUE)
    print(w1, print = TRUE)

    data(eurodist)
    par(mfrow = c(1, 3))
    eu1 <- kdist(eurodist) # an object of class 'dist'
    plot(data.frame(unclass(c(eu1, kdisteuclid(eu1, "quasi")))), asp = 1)
    title(main = "Quasi")
    abline(0,1)
    plot(data.frame(unclass(c(eu1, kdisteuclid(eu1, "lingoes")))), asp = 1)
    title(main = "Lingoes")
    abline(0,1)
    plot(data.frame(unclass(c(eu1, kdisteuclid(eu1, "cailliez")))), asp = 1)
    title(main = "Cailliez")
    abline(0,1)

[Package ade4 version 1.7-13 Index]